import grok
import os
from waeup.interfaces import IStudentContainer
from waeup.utils import importexport as csv

class StudentContainer(grok.Container):
    """
    The node containing the student models
    """

    grok.implements(IStudentContainer)
    
    
class Import(grok.View):
    def render(self):
        #XXX TODO: Make import form to choose csv-file
        t = [0]
        src = os.path.join(os.path.dirname(__file__), '..', 'tests',
                           'TestData','Students.csv')
        inputfile = file(src, "r")
        num = 0
        headers, rows = csv.readFile(inputfile)
        for i in rows:
             s = fromCsv(i)
             self.context[str(num)] = s
             num += 1
             if num > 100:
                 break
        return "%s new Students added in %s" % (num, t[0])

class Export(grok.View):    
    def render(self):
        #XXX TODO: Make export form to choose csv-file
        t = [0]
        result = []
        for s in self.context.values():
             result.append(s.getCsv())
        csv.writeFile(result)
        return "yeah %s" % t[0]

grok.global_utility(StudentContainer, provides=IStudentContainer)
